SoUnitsElement(3)

NAME
SoUnitsElement - The SoUnitsElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoUnitsElement.h>

Inherits SoInt32Element.

  Public Types
enum Units { METERS = 0, CENTIMETERS, MILLIMETERS, MICROMETERS, MICRONS, NANOMETERS, ANGSTROMS, KILOMETERS, FEET, INCHES, POINTS, YARDS, MILES, NAUTICAL_MILES }

  Public Member Functions
virtual void init (SoState *state)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const Units units)
FIXME: write doc.
static void set (SoState *const state, const Units units)
FIXME: write doc.
static Units get (SoState *const state)
FIXME: write doc.
static Units getDefault ()
FIXME: write doc.

  Protected Member Functions
virtual ~SoUnitsElement ()

  Additional Inherited Members

Detailed Description

The SoUnitsElement class is yet to be documented. FIXME: write doc.

Member Enumeration Documentation

  enum SoUnitsElement::Units
FIXME: write doc.

Constructor & Destructor Documentation

  SoUnitsElement::~SoUnitsElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoUnitsElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoUnitsElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoUnitsElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoUnitsElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoUnitsElement::init (SoState * state) [virtual]
Initializes the element to its default value. The default value is SoUnitsElement::METERS.

Reimplemented from SoInt32Element.

Author

Generated automatically by Doxygen for Coin from the source code.